/*
 * Z80SIM  -  a Z80-CPU simulator
 *
 * Copyright (C) 2016-2017 by Udo Munk
 * Copyright (C) 2017 changes by Greg Sydney-Smith
 *
 * This module implements memory management for a Cromemco Z-1 system
 *
 * History:
 * 22-NOV-16 stuff moved to here and implemented as inline functions
 * 03-FEB-17 added ROM initialisation
 * 15-NOV-17 gss. 4 banks for 256KZ card. Add memwrt()
 */

typedef unsigned char  BYTE;		/* 8 bit unsigned */
//#include "sim.h"        // for BYTE
#include "memory.h"


void init_memory(void);
void init_rom(void);
int  cromemco_256kz_init(void);
BYTE cromemco_256kz_in(void);
void cromemco_256kz_out(BYTE data);
void memwrt(int addr, BYTE data);
